package cn.bunny.entity.system.article;

import cn.bunny.entity.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;

/**
 * <p>
 * 文章信息
 * </p>
 *
 * @author Bunny
 * @since 2024-05-17
 */
@Getter
@Setter
@Accessors(chain = true)
@ApiModel(value = "Article对象", description = "文章信息")
public class Article extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("板块ID")
    private Integer boardId;

    @ApiModelProperty("板块名称")
    private String boardName;

    @ApiModelProperty("父级板块ID")
    private Integer pBoardId;

    @ApiModelProperty("父板块名称")
    private String pBoardName;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("最后登录ip地址")
    private String userIpAddress;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("0:富文本编辑器 1:markdown编辑器")
    private Byte editorType;

    @ApiModelProperty("摘要")
    private String summary;

    @ApiModelProperty("阅读数量")
    private Integer readCount;

    @ApiModelProperty("点赞数")
    private Integer goodCount;

    @ApiModelProperty("评论数")
    private Integer commentCount;

    @ApiModelProperty("0未置顶  1:已置顶")
    private Byte topType;

    @ApiModelProperty("0:没有附件  1:有附件")
    private Byte attachmentType;

    @ApiModelProperty("-1已删除 0:待审核  1:已审核 ")
    private Byte status;
}
