package cn.bunny.entity.system.article;

import cn.bunny.entity.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;

/**
 * <p>
 * 评论
 * </p>
 *
 * @author Bunny
 * @since 2024-05-17
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("forum_comment")
@ApiModel(value = "ForumComment对象", description = "评论")
public class ForumComment extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("父级评论ID")
    private Long pCommentId;

    @ApiModelProperty("文章ID")
    private String articleId;

    @ApiModelProperty("回复内容")
    private String content;

    @ApiModelProperty("图片")
    private String imgPath;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("用户ip地址")
    private String userIpAddress;

    @ApiModelProperty("回复人ID")
    private Long replyUserId;

    @ApiModelProperty("回复人昵称")
    private String replyNickName;

    @ApiModelProperty("0:未置顶  1:置顶")
    private Integer topType;

    @ApiModelProperty("good数量")
    private Integer goodCount;

    @ApiModelProperty("0:待审核  1:已审核")
    private Integer status;
}
